package repository

import (
	"58team_blog/internal/domain/entities"

	"github.com/google/uuid"
)

type PostRepository interface {
	Create(*entities.Post) (*entities.Post, error)
	FindById(uuid.UUID) (*entities.Post, error)
	FindAllByUserName(string) ([]*entities.Post, error)
	GetAll() ([]*entities.Post, error)
	Update(*entities.Post) error
	Delete(uuid.UUID) error
}
